{% extends "page.html" %}
{% block content %}
    <section>
        <div class="container mx-auto">
            <div class="text-center p-3 mt-3">
                <h1>Administration</h1>
            </div>
            <div class="my-3"></div>
            {% if g.mode == "sign-in" %}
                <form
                    class="col-sm-6 mx-auto"
                    action="{{ url_for('view.scan', reader="edit") }}"
                    method="post"
                    id="find-or-create">
                    <h2>Find or Create a Profile</h2>
                    <p>Use either the CRSid or MIFARE value to search for an existing
                        person or create a new profile using those values.
                    </p>
                    <div class="form-group row mt-3">
                        <div class="col-sm-3">
                            <label for="input_crsid" class="h4">CRSid</label>
                        </div>
                        <div class="col-sm-9">
                            <input
                                type="text"
                                class="form-control form-control-lg"
                                name="crsid"
                                id="input_crsid"
                                placeholder="The CRSid of the person">
                        </div>
                    </div>
                    <div class="form-group row mt-3">
                        <div class="col-sm-3">
                            <label for="imput_mifare" class="h4">MIFARE</label>
                        </div>
                        <div class="col-sm-9">
                            <input
                                type="text"
                                class="form-control form-control-lg"
                                name="mifare"
                                id="input_mifare"
                                placeholder="The MIFARE of the access card">
                        </div>
                    </div>
                    <div class="col text-right">
                        <button
                            type="submit"
                            id="btn-find"
                            class="btn btn-info btn-lg"
                            name="action"
                            value="find">Find
                        </button>
                        <button
                            type="submit"
                            id="btn-create"
                            class="btn btn-warning btn-lg"
                            name="action"
                            value="create">Create
                        </button>
                    </div>
                </form>
            {% endif %}
            <div class="my-3"></div>
            <h2>Current Configuration</h2>
            <p>Contact your site administrator for further information on
                these settings and to change any of their values.</p>
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">Configuration Option</th>
                    <th scope="col">Value</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td class="text-nowrap"><code>VERSION</code></td>
                    <td>{{ VERSION }}</td>
                </tr>
                {% for attr in attrs %}
                    <tr>
                        <td class="text-nowrap"><code>{{ attr }}</code></td>
                        {% if attr == "KIOSKS" %}
                            <td>
                                {% for kiosk in configuration.KIOSKS.values() %}
                                    {{ kiosk.ip }}: <b>{{ kiosk.building }}</b> {{ kiosk.location }} ({{ kiosk.options }})<br/>
                                {% endfor %}
                            </td>
                        {% elif attr in ["START_OF_DAY", "NON_WORKDAYS", "NETWORKS"] %}
                            <td>
                                {% for item in configuration[attr] %}
                                    {{ item|string }}<br/>
                                {% endfor %}
                            </td>
                        {% elif attr == "BUS_ROUTES" %}
                            <td>
                                {% for route in configuration.BUS_ROUTES %}
                                    {{ route.stop_reference }}: {{ route.title|join(" ") }}<br/>
                                {% endfor %}
                            </td>
                        {% else %}
                            <td>{{ configuration[attr] }}</td>
                        {% endif %}
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
        {% if g.mode == 'visitor-sign-in' and g.sign_in_available %}
            <a
                class="btn btn-lg btn-outline-secondary bg-light bottom-fix centre-fix switch-mode"
                id="btn-switch-to-sign-in"
                data-target-mode="sign-in"
                href="{{ url_for('view.admin') }}">
                <span class="h4">⇄ Switch to {{ configuration.SITE_TITLE }}</span>
            </a>
        {% elif g.mode == 'sign-in' and g.visitor_available %}
            <a
                class="btn btn-lg btn-outline-secondary bg-light bottom-fix centre-fix switch-mode"
                id="btn-switch-to-visitor-sign-in"
                data-target-mode="visitor-sign-in"
                href="{{ url_for('view.admin') }}">
                <span class="h4">⇄ Switch to {{ configuration.VISITOR_SITE_TITLE }}</span>
            </a>
        {% endif %}
    </section>
{% endblock content %}
